glibmm: Glib::ConvertError Class Reference

glibmm 2.46.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::ConvertError Class Reference
Character Set Conversion

Exception class for charset conversion errors. More...

`#include <glibmm/convert.h>`

Inheritance diagram for Glib::ConvertError:
[legend]

## Public Types
enum | Code { NO_CONVERSION, ILLEGAL_SEQUENCE, FAILED, PARTIAL_INPUT, BAD_URI, NOT_ABSOLUTE_PATH, NO_MEMORY }
| Error codes returned by character set conversion routines. More...

## Public Member Functions
| ConvertError (Code error_code, const Glib::ustring& error_message)
| ConvertError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
virtual | ~Error () noexcept
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for charset conversion errors.

Glib::convert() and friends throw a ConvertError exception if the charset conversion failed for some reason. When writing non-trivial applications you should always catch those errors, and then try to recover, or tell the user the input was invalid.

## Constructor & Destructor Documentation

Glib::ConvertError::ConvertError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Glib::ConvertError::ConvertError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Glib::ConvertError::code | ( |  | ) | const